import { CustomAttributes, OnChangeValueType } from "../../../types";
interface IUseMrnProps {
    value: string;
    customAttributes: CustomAttributes;
    objectPathId: string;
    onChangeValue: (newProperties: OnChangeValueType) => void;
}
declare const useMrn: ({ value, customAttributes, objectPathId, onChangeValue, }: IUseMrnProps) => {
    isLoading: boolean;
    isOpen: boolean;
    isDisabled: boolean;
    mrnOptions: any[];
    selectedOption: any;
    setSelectedOption: import("react").Dispatch<any>;
    setSearchText: import("react").Dispatch<import("react").SetStateAction<string>>;
    setIsOpen: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    currentMrnOption: CustomAttributes | import("../../../types").MrnInputMultipleServices;
    onChangeCurrentMrnOption: (newSource: any) => void;
    dependentControls: string[];
};
export default useMrn;
