import { DetailedHTMLProps, TextareaHTMLAttributes } from "react";
import { OnChangeValueType, TextareaFormControl } from "../../types";
export interface IProps extends DetailedHTMLProps<TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement> {
    control: TextareaFormControl;
    id: string;
    objectPathId?: string;
    onChangeValue: (newProperties: OnChangeValueType) => void;
}
declare const Textarea: ({ onChangeValue, ...props }: IProps) => import("react/jsx-runtime").JSX.Element;
export default Textarea;
